#!/bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05
#
# (C) Copyright IBM Corp. 2003,2010. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# (#) ./pweb/pm/adm/deleteUdc.sh BL_core_schema_8.0.7_8.0.7.7.01_20100812  223356
# (#) 
#
#-- ----------------------------------------------------------------------
#-- delete Udc
#--
#-- Author: Low Sze Hau,  Ng Chen Khee
#-- Date: 17/08/2010
#--
#-- ----------------------------------------------------------------------

if [ -z "$JAVA_HOME" ]; then
  echo "ERROR: JAVA_HOME not found in your environment."
  echo ""
  echo "Please, set the JAVA_HOME environment variable to match the"
  echo "root directory of the Java Virtual Machine you want to use."
  echo ""
  exit 1;
else
  PATH=$JAVA_HOME/bin:$PATH
fi

# set the class path
JBOSS_HOME="${FLEXPM_HOME}/pm/pas/${JBOSS_VERSION}"
CLIENT_HOME=${JBOSS_HOME}/client
JBOSS_DEPLOY=${JBOSS_HOME}/server/default/deploy
JBOSS_CONF=${JBOSS_HOME}/server/default/conf
JBOSS_LIB=${JBOSS_HOME}/server/default/lib

for jar in ${CLIENT_HOME}/*.jar; do
	CLASSPATH=${CLASSPATH}:${jar}
done

PATH="$JAVA_HOME/bin:$PATH"

JAAS="-Djava.security.auth.login.config=${FLEXPM_HOME}/pm/pas/etc/jaasutils.config"
CONF="-Dconf.dir=${FLEXPM_HOME}/pm/pas/etc/"
PROSPECT_HOME="-Dprospectj.home.dir=$FLEXPM_HOME/pm/pas"
# the main class
MAINCLASS="com.ibm.postinstall.cli.DeleteUdc"

JAVA_PROPS="-client -Xmx16M"
echo $params
exec $JAVA_HOME/bin/java $JAAS $PROSPECT_HOME $CONF $JAVA_PROPS -classpath ${CLASSPATH} ${MAINCLASS} "$@"
